Bug 436232 - oocalc, high cpu, crashes on some cut and paste/drag and drop condition
oocalc, high cpu, crashes on some cut and paste/drag and drop condition
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
8
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-05 19:32 EST by g. artim
Modified: 2008-04-08 12:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-08 12:03:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
errors generated (OOcrash) (7.12 KB, application/octet-stream)
2008-03-05 19:32 EST, g. artim
no flags Details
mapped stack (2.30 KB, text/plain)
2008-03-06 03:27 EST, Caolan McNamara
no flags Details

  None (edit)
Description g. artim 2008-03-05 19:32:24 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
just working on a spread sheet in calc.
note: not clear this isn't a systemic problem? we've had this desktop's browser
crash is a similar way, but with no output. In the past during crashes we showed
no output, logs, nada. Just high kernel cpu time.
  
Actual results:
crashes oocalc


Expected results:
stay working


Additional info:
Comment 1 g. artim 2008-03-05 19:32:24 EST
Created attachment 296967 [details]
errors generated (OOcrash)
Comment 2 Caolan McNamara 2008-03-06 03:27:10 EST
Created attachment 297009 [details]
mapped stack
Comment 3 Caolan McNamara 2008-03-06 03:30:30 EST
Assuming for the moment that the problem lies in OOo, then the provided stack
points to a crash that took place during a drag and drop or some other paste
operation.

Can this be reproduced, or at least does "dragging and dropping" ring a bell as
to what was happening at the time of the crash. Was something dragged and
dropped into calc from another application ?
Comment 4 g. artim 2008-03-06 11:11:52 EST
I'll contact the user. But I think she was just clicking into a cell. Will know
more when she gets in. CPU got 100%
Comment 5 Caolan McNamara 2008-03-06 11:24:18 EST
And I assume that top showed some OOo component as the offender, another
question is what desktop environment is this KDE ?
Comment 6 g. artim 2008-03-06 11:44:12 EST
yes KDE. She was using a cpu gauge applet to note the cpu, not top - in the past
it was mostly kernel time that was high. she hasn't come in yet, but yesterday
she said "I was able to scroll afterward, for a couple of minutes after sending
you an email. but in a minute or 2 I couldn't access anyother files. I couldn't
force quit. I had to turn off my computer and restart."
Comment 7 g. artim 2008-03-06 12:45:12 EST
"Yes this does ring a bell.  During some of the crashes it involves dragging and
also copying and pasting files from one spreadsheet to another spreadsheet.  I
do this a lot., some times it crashes and other times it doesn't crash.  It
usually crashes after several hours working with OO spreadsheet" --Diana.
Comment 8 Caolan McNamara 2008-03-06 13:34:38 EST
Can I get an exact step by step walk-through of a the type of drag and drops
that the user undertakes. e.g. is it highlighting an entire row in a sheet and
dragging it into another sheet, or a set of entire rows/columns or a highlighted
region. Or some other element that is dragged and dropped. And if the target and
destination are e.g. two different spreadsheet windows, or within the same
sheet. Any little piece of information along those lines might help a lot.
Comment 9 g. artim 2008-03-06 17:54:36 EST
"
OO closed again at ~3:38pm.  It happened right after I did the following:
        1)I copied like around 100 rows from one file
        2)Switched to a second file, and deledted one tab sheet.
        3)OO closed on me
        Threfore, I wasn't able to paste the data on the next sheet.
" -- from a prior email, hope this helps...g.
Comment 10 Caolan McNamara 2008-03-11 12:07:05 EDT
Can't reproduce anything like this, tried to drag and drop stuff from one calc
windows into the other, and around the same sheet without any problems. Might be
some specific condition of the drag/drop, e.g. from or to some particular UI
element, and not the main cell area like I was trying.
Comment 11 Caolan McNamara 2008-04-08 12:03:45 EDT
I don't deny that the bug is there, but I just cannot reproduce it :-( and this
is a class of problem that I'd need to have happen for me to be able to fix.

Note You need to log in before you can comment on or make changes to this bug.